GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
gdcm::LO Class Reference

LO. More...

`#include <gdcmLO.h>`

List of all members.

## Public Types

typedef Superclass::const_iterator | const_iterator
typedef Superclass::const_reference | const_reference
typedef Superclass::const_reverse_iterator | const_reverse_iterator
typedef Superclass::difference_type | difference_type
typedef Superclass::iterator | iterator
typedef Superclass::pointer | pointer
typedef Superclass::reference | reference
typedef Superclass::reverse_iterator | reverse_iterator
typedef Superclass::size_type | size_type
typedef String<'\\', 64 > | Superclass
typedef Superclass::value_type | value_type

## Public Member Functions

| LO ()
| LO (const value_type *s)
| LO (const value_type *s, size_type n)
| LO (const Superclass &s, size_type pos=0, size_type n=npos)
bool | IsValid () const

## Detailed Description

LO.

Note:
  TODO

## Member Typedef Documentation

typedef Superclass::const_iterator gdcm::LO::const_iterator

typedef Superclass::const_reference gdcm::LO::const_reference

typedef Superclass::const_reverse_iterator gdcm::LO::const_reverse_iterator

typedef Superclass::difference_type gdcm::LO::difference_type

typedef Superclass::iterator gdcm::LO::iterator

typedef Superclass::pointer gdcm::LO::pointer

typedef Superclass::reference gdcm::LO::reference

typedef Superclass::reverse_iterator gdcm::LO::reverse_iterator

typedef Superclass::size_type gdcm::LO::size_type

typedef String<'\\',64> gdcm::LO::Superclass

typedef Superclass::value_type gdcm::LO::value_type

## Constructor & Destructor Documentation

gdcm::LO::LO | ( |  | ) | `[inline]`

gdcm::LO::LO | ( | const value_type * | s | ) | `[inline]`

gdcm::LO::LO | ( | const value_type * | s,
|  | size_type | n
| ) |  | `[inline]`

gdcm::LO::LO | ( | const Superclass & | s,
|  | size_type | pos = `0`,
|  | size_type | n = `npos`
| ) |  | `[inline]`

## Member Function Documentation

bool gdcm::LO::IsValid | ( |  | ) | const`[inline]`

References gdcm::String< TDelimiter, TMaxLength, TPadChar >::IsValid().

The documentation for this class was generated from the following file:

- gdcmLO.h